# [Exercism Bash](http://exercism.io/languages/bash)

Bash is the language that you will learn to love!

Many of your everyday computer tasks can be done using the concise scripts it can produce.
You will soon learn that while most things can be done through a Graphical User Interface, it can actually be vastly faster to use this powerful language!
The command interpreter typically runs in a text window, where users may input commands (operations may also come from some files, also known as Bash scripts).

More formally, Bash (an acronym for **B**ourne-**a**gain **sh**ell, a pun around the Bourne shell and the term "born-again") is a Unix command interpreter.
Offering a number of improvements over several other shells (Bash's has some useful functionality in regards to command history, job control and command line editing).

A really good way to think about Bash is the following:

> Although most users think of the shell as an interactive command interpreter, it is really a programming language in which each statement runs a command.
> Because it must satisfy both the interactive and programming aspects of command execution, it is a strange language, shaped as much by history as by design.  —- Brian Kernighan & Rob Pike

_cite: Kernighan, Brian W.; Pike, Rob (1984). The UNIX Programming Environment. Englewood Cliffs: Prentice-Hall. ISBN 0-13-937699-2._

Though it was first released several decades ago after being written by Brian Fox of the Free Software Foundation, Bash is still used across the world every day!
From automation to stitching a project together, the language is still as versatile as it ever was.
Another benefit of the language's age is the rich documentation you'll find surrounding it.
If you're ever stuck and don't know exactly how to implement an exercise, a great place to start is the built-in help, available through the use of `info bash` or `man bash`. 

This track is to help you gain some experience in this wonderful scripting language.

**Happy Bash'ing**
